using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Plugins.Operators
{
    [NodeInfo("Equals (Integer)", typeof(CompareIntsNode), Category = "Operators",
        DefaultWidth = 100, DefaultHeight = 40)]
    public class CompareIntsNode : CompareValuesNodeBase<int>
    {
        public CompareIntsNode(Program program)
            : base(program)
        {
            Name = "Equals";
            value1 = 0;
            value2 = 0;
        }

        protected internal override bool CompareValues()
        {
            return value1 == value2;
        }
    }
}
